/* addition col setting */
.col-20p {
    position: relative;
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;

    -ms-flex: 0 0 20%;
    flex: 0 0 20%;
    max-width: 20%;
}

.col-80p {
    position: relative;
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;

    -ms-flex: 0 0 80%;
    flex: 0 0 80%;
    max-width: 80%;
}

/* 儲值購點 */
.main-pay-menu {
    max-width: 950px;
    width: 100%;
    display: flex;
    padding-inline-start: 0;
    flex-wrap: wrap;
    margin: 7px auto;
}

#creditcard li,
.main-pay-menu li {
    background: url(/img/rechargepay/MB_UI_HOT168_Charge_TOPbutton_off.png) center;
    border: 1px solid transparent;
    border-radius: 5px;
    font-size: 20px;
    width: calc(25% - 1rem);
    margin: 11px 0.5rem;
    font-weight: bold;
    text-align: center;
    color: #ffffff;
    cursor: pointer;
    display: inline-block;
    padding: 0.75rem 0.25rem;
    position: relative;
    background-size: cover;
}

.main-pay-menu li[firstbuybonus="on"]::after {
    content: '';
    width: 85px;
    height: 77px;
    background-image: url(/img/common/IMG_HOT168_firstBuyBonus_2.gif);
    background-size: 100%;
    display: block;
    position: absolute;
    top: -15px;
    left: -38px;
}

/* 首儲優惠標籤 */
tr.firstBuyBonus2col td:nth-child(3),
tr.firstBuyBonus3col td:nth-child(3) {
    position: relative;
}

.thirdPay[data-ratio]:not([firstbuybonus="on"])::after,
[paytable][data-ratio]:not([firstbuybonus="on"])::after,
tr.firstBuyBonus2col td:nth-child(3)::after,
tr.firstBuyBonus3col td:nth-child(3)::after {
    content: attr(data-ratio);
    background: url(/img/index/UI_HOT168_BulletinBoard_button_R.png);
    display: inline-block;
    position: absolute;
    padding: 2px 8px;
    border-radius: 28px;
    border: gold 2px solid;
    font-weight: bolder;
}

#buyproduct-btn[data-tag]::after {
    content: '';
    width: 75px;
    height: 60px;
    background-size: 100%;
    display: block;
    position: absolute;
    /* top: -2rem;
    left: -20px; */
    top: -6px;
    left: -16px;
    background-position: left;
    background-repeat: no-repeat;
    /* border: 1px solid red; */
}

#buyproduct-btn[data-tag="10"]::after {
    background-image: url(/img/rechargepay/TXT_HOT168_10off.png);
    background-size: 76%;
}

#buyproduct-btn[data-tag="11"]::after {
    background-image: url(/img/rechargepay/TXT_HOT168_10.png);
    top: -17px;
}

#filterGroup select {
    display: inline-block;
    max-width: 150px;
    margin: 0.5rem;
}

#filterGroup .priceFilter {
    width: 150px;
    border: 1px solid #8600c9;
}

#filterGroup .priceFilter.active {
    background: url(/img/common/UI_HOT168_button_P.png);
}

@media only screen and (min-width: 577px) {
    tr.firstBuyBonus2col td:nth-child(3)::after {
        top: 21px;
        left: -30px;
    }

    .thirdPay:not([firstbuybonus="on"])::after,
    [paytable]:not([firstbuybonus="on"])::after {
        top: -20px;
        left: -36px;
        padding: 0px 4px;
    }

}

@media only screen and (max-width: 576px) {

    tr.firstBuyBonus3col td:nth-child(3)::after,
    tr.firstBuyBonus2col td:nth-child(3)::after {
        top: 10px;
        right: 1.25rem;
    }

    .thirdPay[data-ratio]:not([firstbuybonus="on"])::after,
    [paytable][data-ratio]:not([firstbuybonus="on"])::after {
        top: -15px;
        left: -24px;
        padding: 3px 4px;
    }

    #buyproduct-btn[data-tag]::after {
        width: 50px;
        left: -25px;
    }
}

@media only screen and (min-width: 768px) {
    tr.firstBuyBonus3col td:nth-child(3)::after {
        top: 21px;
        left: -47px;
    }

}

@media only screen and (min-width: 768px) and (max-width: 1024px) {
    #buyproduct-btn[data-tag="11"]::after {
        width: 60px;
    }

    .main-pay-menu {
        max-width: 95%;
    }
}

@media only screen and (min-width: 577px) and (max-width: 767px) {
    tr.firstBuyBonus3col td:nth-child(3)::after {
        top: 21px;
        left: -43px;
        transform: scale(0.7);
    }
}


#creditcard li.active,
.main-pay-menu .active {
    background: url(/img/rechargepay/MB_UI_HOT168_Charge_TOPbutton.png) center;
    border: 1px solid #fffbd1;
    color: #000000;
    background-size: cover
}

#payOption .index-main-content {
    max-width: 950px;
    width: 100%;
    border-top: 1px solid #9914c9;
    margin: 15px auto;
}

#payOption [class*='-title'] {
    margin: 15px auto;
    text-align: center;
}

#payOption [class*='-content'] {
    margin: auto;
    text-align: center;
}

.thirdPay-content img,
.thirdPay-title img {
    max-width: 100%;
}

.payoption-table-wrap {
    width: 100%;
    overflow: auto;
    padding-bottom: 1.5rem;
}

.payoption-table-wrap img {
    width: 30px;
}

.payoption-table-wrap .coins {
    display: inline-block;
    width: 30%;
}

.payoption-table-wrap .payOptionTag img:hover+.hover-modal,
.payoption-table-wrap .payOptionTag div:hover+.hover-modal {
    display: block;
}

.payoption-table-wrap tr .hover-modal {
    display: none;
    position: absolute;
    left: 0px;
    z-index: 1;
    width: 250px;
    box-sizing: border-box;
    padding: 15px;
    white-space: pre-line;
    background-color: rgb(39, 0, 63);
    background: linear-gradient(rgba(28, 0, 52), rgba(71, 0, 116));
    border-radius: 5px;
    border: 0.5px solid #ffea00;
}

.payoption-table-wrap tr:nth-child(n + 4) .hover-modal {
    bottom: 55px;
}

#payoption .container {
    padding-bottom: 2rem;
}

#deposit .coins {
    width: 20%;
}

.payOption-pic {
    margin: auto;
    padding: 0;
}

.payOption-pic.mobilepay {
    max-width: 714px;
}

.payOption-pic ul {
    display: flex;
    flex-wrap: wrap;
    padding: 0;
}

.payOption-pic ul li {
    display: block;
    cursor: pointer;
}

.payOption-pic.mobilepay li {
    width: calc(33% - 0.5rem);
    margin: auto 0.25rem;
    opacity: 0.7;
}

.funpay-content img {
    opacity: 0.7;
}

.payOption-pic.mobilepay li.active,
.payOption-pic.mobilepay li:hover {
    opacity: 1;
}

.funpay-content img:hover {
    opacity: 1;
}

.payOption-operate {
    text-align: left;
    margin: 15px 0;
}

.payOption-operate input:nth-child(2) {
    margin: 0 15px;
}

#creditcard ul {
    justify-content: center;
}

#creditcard li {
    width: 219px;
    margin: 15px 0.5rem;
}

.serialchange-content .input-set {
    display: block;
    width: 100%;
    max-width: 100%;
    margin: 15px 0;
}

.buyproduct-item {
    border: 1px solid #8600c9;
    border-radius: 5px;
    color: #ffffff;
    margin-bottom: 0.5rem;
    width: 100%;
    flex-wrap: wrap;
    display: flex;
    font-weight: bold;
}

.buyproduct-item .title {
    line-height: 36px;
    text-align: left;
    color: #b336ff;
    background: url(/img/common/UI_HOT168_frame.png);
    border-bottom: 1px solid #8600c9;
    font-size: 1.25rem;
    text-align: center;
}

.buyPackageButton[data-showtag] {
    position: relative;
}

.buyPackageButton[data-showtag]::after {
    position: absolute;
    content: '';
    width: 75px;
    height: 60px;
    background-size: 100%;
    display: block;
    position: absolute;
    bottom: 0.5rem;
    left: 2.75rem;
    background-position: right;
    background-repeat: no-repeat;
}

.buyPackageButton[data-showtag="10"]::after {
    background-image: url(/img/rechargepay/TXT_HOT168_10off.png);
    background-size: 76%;
}

.buyPackageButton[data-showtag="11"]::after {
    background-image: url(/img/rechargepay/TXT_HOT168_10.png);
}

.buyproduct-item .countGroup {
    display: flex;
    width: 100%;
    justify-content: center;
}

.buyproduct-item .countButton,
.buyproduct-item .countButton {
    font-size: 2rem;
    height: 2rem;
    width: 2rem;
    background: url(/img/common/UI_HOT168_button_P.png);
    border: 1px solid #ec92ff;
    line-height: 0;
}

.buyproduct-item .countInput {
    height: 2rem;
    width: 5rem;
    background: #1e0030;
    border: 1px solid #8600c9;
    text-align: center;
    color: #b336ff;
    border-radius: 5px;
}

.buyproduct-item .text {
    text-align: left;
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.buyproduct-item .text a {
    color: #00ccff;
}

.buyproduct-item .text p {
    margin: 0;
}

.buyproduct-item .text p:first-child {
    margin-bottom: 1rem;
}

.buyproduct-item .text p:last-child {
    color: #b336ff;
}

.buyproduct-item ol {
    padding-inline-start: 20px;
    margin: 0;
}

.buyproduct-item ol li {
    margin-bottom: 0.5rem;
}

.buyproduct-item .option {
    display: flex;
    align-items: center;
    justify-content: center;
}

.buyproduct-item [json="Image"] {
    width: 80%;
}

.package-description {
    white-space: break-spaces;
}

@media only screen and (min-width: 768px) {
    .buyproduct-item .option {
        border-left: 1px solid #8600c9;
    }
}


@media only screen and (max-width: 767px) {
    #filterGroup .priceFilter {
        margin: 0.5rem;
    }
}


.buyproduct-item .leftPackageCount {
    color: #b336ff;
}

.buyproduct-item .option a {
    width: 94px;
    color: #ffffff;
}

.buyproduct-item .package-tag {
    display: none;
    position: absolute;
    left: 0;
    top: 0;
}

.buyproduct-item .package-tag-img {
    display: inline-block;
}

.buyproduct-item .package-tag-hover {
    position: absolute;
    z-index: 1;
    display: none;
    width: 250px;
    box-sizing: border-box;
    padding: 15px;
    white-space: pre-line;
    background-color: rgb(39, 0, 63);
    background: linear-gradient(rgba(28, 0, 52), rgba(71, 0, 116));
    border-radius: 5px;
    border: 0.5px solid #ffea00;
}

@media only screen and (min-width: 768px) {
    .buyproduct-item .package-tag:hover>.package-tag-hover {
        display: block;
    }
}

.buyproduct-item .mycard-tag {
    display: none;
    position: relative;
    margin-top: 1rem;
}

.buyproduct-item .mycard-tag-label {
    background: url(/img/index/UI_HOT168_BulletinBoard_button_R.png);
    border: 1px solid red;
    text-align: center;
    border-radius: 0.25rem;
    padding: 0.25rem;
    display: inline-block;
    font-size: 14px;
}

.buyproduct-item .mycard-tag-hover {
    position: absolute;
    right: 0;
    z-index: 1;
    display: none;
    width: 250px;
    box-sizing: border-box;
    padding: 15px;
    white-space: pre-line;
    background-color: rgb(39, 0, 63);
    background: linear-gradient(rgba(28, 0, 52), rgba(71, 0, 116));
    border-radius: 5px;
    border: 0.5px solid #ffea00;
}

@media only screen and (min-width: 768px) {
    .buyproduct-item .mycard-tag-label:hover+.mycard-tag-hover {
        display: block;
    }
}

.telecom li {
    width: calc(25% - 1rem);
    padding: 0.5rem;
    margin: 0.5rem;
    background-image: linear-gradient(to top, #ffa400 5%, #ffb400 24%, #ffff00 69%, #ffff00 100%);
    border-radius: 0.25rem;
    border: 1px solid #ffffff;
    opacity: 0.7;
}

.telecom li.active,
.telecom li:hover {
    opacity: 1;
}

.button_R {
    background: url(/img/index/UI_HOT168_BulletinBoard_button_R.png);
    width: 74px;
    border: 1px solid red;
    text-align: center;
    border-radius: 0.25rem;
    padding: 0.25rem;
    display: inline-block;
}

.mobile.index-main-news-sign {
    display: none;
}

.index-main-news-sign {
    width: 74px;
    display: inline-block;
}

/* 產包彈窗 */
#buyPackageModal .modal-body {
    padding-top: 2rem;
}

#buyPackageModal ul.paybutton-wrapper {
    list-style-type: none;
    display: flex;
    flex-wrap: wrap;
    padding-left: 0;
}

#buyPackageModal .paytype {
    background: url(/img/rechargepay/MB_UI_HOT168_Charge_TOPbutton.png) center;
    width: calc(25% - 0.5rem);
    display: inline-block;
    margin: 0.25rem;
    border: 1px solid #fffbd1;
    border-radius: 5px;
    font-size: 21px;
    line-height: 50px;
    font-weight: bold;
    text-align: center;
    color: #000000;
    text-shadow: 0 0 0.1rem #ffffff;
    cursor: pointer;
}

@media only screen and (max-width: 991px) {
    #buyPackageModal .paytype {
        width: calc(50% - 0.5rem);
    }

    [class*="serialchange"]:nth-child(even) {
        order: 2;
    }
}

#buyPackageModal .paytype-button {
    background: url(/img/rechargepay/MB_UI_HOT168_Charge_TOPbutton.png) center;
    height: 50px;
    border: 1px solid #fffbd1;
    border-radius: 5px;
    font-size: 20px;
    line-height: 50px;
    font-weight: bold;
    text-align: center;
    color: #000000;
    cursor: pointer;
}

#buyPackageModal .paymethod-block {
    display: none;
}

#buyPackageModal .paymethod-block>img {
    margin: 0.25rem;
}

#buyPackageModal .paymethod {
    width: calc(25% - 0.5rem);
    margin: 0.25rem;
}


@media only screen and (max-width: 991px) {
    #buyPackageModal .paymethod {
        width: calc(50% - 0.5rem);
    }
}

#buyPackageModal .paymethod>img {
    width: 100%;
    cursor: pointer;
}

/* 儲值購點 */
@media only screen and (max-width: 1024px) {

    /* 儲值購點 */
    #payOption .index-main-content {
        width: 96%;
    }

    #creditcard li {
        width: calc(25% - 1rem);
    }

    .telecom li img {
        width: 100%;
    }
}

@media only screen and (max-width: 768px) {

    /* 儲值購點 */
    .main-pay-menu {
        max-width: 96%;
    }

    .main-pay-menu li {
        width: calc(25% - 1rem);
        margin: 15px 0.5rem;
        font-size: 18px;
    }

    #newProblemReportTypeSelect {
        margin: 0 0 15px 0;
    }

    .typeselect,
    .input-set {
        width: 65%;
        margin: 15px;
        max-width: 275px;
    }
}

@media only screen and (max-width: 576px) {
    .table-rwd td::before {
        height: 100%;
    }

    .sm-flex {
        display: flex !important;
    }

    .sm-align-items {
        align-items: center !important;
    }

    /* 儲值購點 */
    .main-pay-menu li {
        width: calc(50% - 1rem);
        margin: 0.5rem;
        font-size: 16px;
    }

    .telecom li {
        width: calc(50% - 1rem);
        padding: 0.5rem 0.75rem;
    }

    .mobilepay img {
        width: 100%;
    }

    .payOption-pic.mobilepay li {
        width: calc(50% - 1rem);
        margin: 0.5rem;
    }

    .buyproduct-item .content {
        flex-wrap: wrap;
    }

    #creditcard li {
        padding: 0.5rem;
        width: calc(50% - 1rem);
        font-size: 18px;
        margin: 0.5rem;
        border-radius: 5px;
    }

    .amount {
        display: inline-block;
    }

    .mobile.index-main-news-sign {
        display: inline-block;
    }

    .table-rwd td:first-child {
        display: none;
    }

    .index-main-news-sign {
        width: 0;
    }

    .coinRow {
        display: inline-block;
    }
}

@media only screen and (max-width: 375px) {

    /* 儲值購點 */
    .main-pay-menu li {
        font-size: 14px;
    }

    #payOption .index-main-content button {
        width: 55px;
    }

    #filterGroup button.priceFilter {
        width: 150px;
    }

    #filterGroup select {
        margin: 0.5rem;
    }

    .payoption-table-wrap .coins {
        display: inline-block;
        width: 50%;
    }

    .payOption-operate button,
    .serialchange-content button {
        border: 1px solid #5ee3ff;
        background: url(/img/mobile/MB_HOT168_button_B.png);
    }

}

@media only screen and (max-width: 374px) {

    tr.firstBuyBonus3col td:nth-child(3)::after,
    tr.firstBuyBonus2col td:nth-child(3)::after {
        top: 10px;
        padding: 3px 4px;
        right: 0.25rem;
    }

    .coinRow {
        margin: -0.5rem;
    }
}

@media (any-hover: hover) {

    #creditcard li:hover,
    .main-pay-menu li:hover {
        background: url(/img/rechargepay/MB_UI_HOT168_Charge_TOPbutton.png) center;
        border: 1px solid #fffbd1;
        color: #000000;
    }
}

@media only screen and (min-width: 2400px) {
    .main-pay-menu {
        max-width: 100%;
    }

    #creditcard li,
    .main-pay-menu li,
    #creditcard li.active,
    .main-pay-menu .active {
        background-size: cover;
    }

    #creditcard li,
    .main-pay-menu li {
        font-size: 1vw;
        padding: 0.75vw;
    }

    .mobilepay-title img {
        width: 8.5vw;
    }

    .payOption-title img {
        width: 10vw;
    }

    .telecom img {
        width: 5vw;
    }


    #creditcard li:hover,
    .main-pay-menu li:hover,
    .thirdPay[data-ratio]:not([firstbuybonus="on"])::after,
    [paytable][data-ratio]:not([firstbuybonus="on"])::after,
    tr.firstBuyBonus2col td:nth-child(3)::after,
    tr.firstBuyBonus3col td:nth-child(3)::after {
        background-size: cover;
    }

    #payOption .index-main-content {
        max-width: 100%;
    }

    .index-main-content button {
        font-size: 1vw;
        width: 4vw;
        background-size: cover;
        ;
    }

    .main-pay-menu li[firstbuybonus="on"]::after {
        width: 5vw;
        height: 5vw;
        background-repeat: no-repeat;
        top: -3vw;
        left: -1vw;
    }

    #buyproduct-btn[data-tag]::after {
        width: 3vw;
        height: 3vw;
        top: -1vw;
        left: 0;
    }

    #payoption .container {
        font-size: 1vw;
        max-width: 100%;
    }

    table {
        font-size: 1vw;
    }

    .payOption-pic img {
        width: 10vw;
    }

    .payoption-table-wrap img {
        width: 2vw;
    }

    .payOption-pic.mobilepay {
        max-width: 100%;
    }

    #filterGroup .priceFilter {
        width: 9.5vw;
    }

    #filterGroup .priceFilter.active {
        background-size: cover;
    }

    .buyproduct-item .option a {
        width: 5vw;
        background-size: cover;
    }

    #filterGroup select {
        max-width: 10vw;
        width: 7vw;
    }

    .buyproduct-item .title {
        font-size: 1.25vw;
        background-size: cover;
        line-height: unset;
    }

    .buyPackageButton[data-showtag]::after {
        width: 3.5vw;
        bottom: 0;
        height: 3.25vw;
        left: 3vw;
    }
}